%undefine __cmake_in_source_build

Summary:   Library to make writing a VNC server easy
Name:      libvncserver
Version:   0.9.13
Release:   3%{?dist}
License:   GPLv2+
URL:       http://libvnc.github.io/
Source0:   https://github.com/LibVNC/libvncserver/archive/LibVNCServer-%{version}.tar.gz

Patch3000: 0001-libvncserver-Add-API-to-add-custom-I-O-entry-points.patch
Patch3001: 0002-libvncserver-Add-channel-security-handlers.patch
Patch3002: 0003-libvncserver-auth-don-t-keep-security-handlers-from-.patch
Patch3003: 0004-zlib-Clear-buffer-pointers-on-cleanup-444.patch
Patch3004: 0001-libvncserver-don-t-NULL-out-internal-of-the-default-.patch
Patch3005: libvncserver-LibVNCServer-0.9.13-system-crypto-policy.patch

BuildRequires: gcc-c++ cmake3 gettext-devel libgcrypt-devel lzo-devel lzo-minilzo xorg-x11-xauth zlib-devel
BuildRequires: pkgconfig(gnutls) pkgconfig(sdl2) pkgconfig(libsystemd) pkgconfig(x11) pkgconfig(xdamage) pkgconfig(xext)
BuildRequires: pkgconfig(xrandr) pkgconfig(xtst) pkgconfig(xinerama) pkgconfig(xfixes) pkgconfig(openssl)
BuildRequires: pkgconfig(zlib) pkgconfig(libjpeg) pkgconfig(libpng) pkgconfig(libcrypto) pkgconfig(libssl)
BuildRequires: pkgconfig(avahi-client) pkgconfig(ice) pkgconfig(x11) pkgconfig(xdamage) pkgconfig(xext)
BuildRequires: pkgconfig(xfixes) pkgconfig(xi) pkgconfig(xinerama) pkgconfig(xrandr) pkgconfig(xtst)

%description
LibVNCServer makes writing a VNC server (or more correctly, a program exporting a frame-buffer via
the Remote Frame Buffer protocol) easy.

It hides the programmer from the tedious task of managing clients and compression schemata.

%package devel
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release} coreutils zlib-devel

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n %{name}-LibVNCServer-%{version} -p1
rm -fv common/lzodefs.h common/lzoconf.h commmon/minilzo.h common/minilzo.c

%build
%cmake3
%cmake_build

%install
%cmake_install

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS* README* TODO*
%{_libdir}/libvncclient.so.1
%{_libdir}/libvncclient.so.%{version}
%{_libdir}/libvncserver.so.1
%{_libdir}/libvncserver.so.%{version}

%files devel
%{_includedir}/rfb/
%{_libdir}/libvncclient.so
%{_libdir}/libvncserver.so
%{_libdir}/pkgconfig/libvncclient.pc
%{_libdir}/pkgconfig/libvncserver.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.13-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 0.9.13-1
- initial build
